@import '../../../../scss/variables.scss';
@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';

.grid-layout {
  background-color: $grey-background-color;
  display: grid;
  min-height: 100vh;
  grid-template-columns: 1fr;
  grid-template-rows: [header] $header-bar-height [content] 1fr [footer] auto;
  @media screen and(max-width:$tablet){
    grid-template-rows: [header] $header-bar-height-mobile [content] 1fr [footer] auto;
  }
}

.grid-layout.prevent-scroll {
  max-height: 100vh;
  overflow: hidden;
}

.site-header {
  grid-row: header;
  //max-height: 50px;
  grid-column: 1;
  position: sticky;
  top: 0;
  background-color: var( --commune-color-var, $brand-color);
  z-index: 6;
}

.is-not-with-feedback{
  max-height: 50px;
}

.side-menu {
  position: fixed;
  height: 100%;
  z-index: 5;
  width: 80%;
  transform: translateX(-100%);
  transition: all 200ms cubic-bezier(0.7, 0, 0.3, 1);
  will-change: transform;
  background-color: var( --commune-color-var, $brand-color);
  padding-top: $header-bar-height;
  top: 0;
  @media screen and(max-width:$tablet){
    padding-top: $header-bar-height-mobile;
  }
}

@media screen and (min-width: $tablet) {
  .side-menu {
    width: $width-menu;
  }
}

.side-menu.is-active {
  transform: translateX(0);
}

.site-content {
  grid-row: content;
  grid-column: 1;
  background-color: $grey-background-color;
  
  &.is-wide {
    margin-left: 0;
    width: 100%;
  }
}

.site-footer {
  grid-row: footer;
  grid-column: 1;
}

//.grid-layout.is-home {
  // To make the navbar top to the menu dark color when home page
  // background-color: $brand-color;
  // grid-template-rows: [content] 1fr [footer] auto;
  //.site-content{
  //  padding-top:100px;
  //}
  /*.site-header {
    background-color: transparent;
    position: absolute;
    width: 100%;
    z-index: unset;
  }*/
//}

.skipLinks {
  display: inline-block;
  font-weight: bold;
  color: $white;
  background: $tomato-color;
  padding: .5em;
  position: absolute;
  left: -99999rem;
  z-index: 100;
  font-size: 1rem;

  &:focus {
    left: 0;
  }
}

